import os

from flask import Flask, request, json, jsonify

app = Flask(__name__)


@app.route('/push', methods=['POST', 'GET'])
def push_hook():
    data = request.get_json()
    path = request.args.get('path')
    name = data.get('repository').get('name')
    if not all([path, name]):
        return jsonify({'code': 0})

    return jsonify({'code': 0, 'name': name, 'path': path})


if __name__ == '__main__':
    print(__name__)
    app.run(host='0.0.0.0', port=5003)
